<?php
declare(strict_types=1);

namespace Catequil\Webshop;

/**
 * Class ConfigProvider
 *
 * @package Catequil\Webshop
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'orm' => [
                'implementations' => [
                    Model\WebshopInterface::class => Model\Webshop::class,
                ],
                'entity_paths' => [
                    __NAMESPACE__ => __DIR__ . '/Model',
                ],
            ],
        ];
    }
}