<?php
declare(strict_types=1);

namespace Catequil\Webshop\Model;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Embeddable;
use http\Encoding\Stream;

/**
 * Class ConnectionParams
 *
 * @package Catequil\Webshop\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
#[Embeddable]
class ConnectionParams
{
    //<editor-fold desc="Entity Fields">

    #[Column('hostname', Types::STRING)]
    protected string $host = '';
    #[Column('username', Types::STRING)]
    protected string $user = '';
    #[Column('password', Types::STRING)]
    protected string $password;
    #[Column('database', Types::STRING)]
    protected string $dbname;

    //</editor-fold>
    //<editor-fold desc="Getters & Setters">

    /**
     * @return array
     */
    public function getArrayCopy(): array
    {
        return [
            'host' => $this->getHost(),
            'user' => $this->getUser(),
            'password' => $this->getPassword(),
            'dbname' => $this->getDbname(),
        ];
    }

    /**
     * @return string
     */
    public function getHost(): string
    {
        return $this->host;
    }

    /**
     * @return string
     */
    public function getUser(): string
    {
        return $this->user;
    }

    /**
     * @return string
     */
    public function getPassword(): string
    {
        return $this->password;
    }

    /**
     * @return string
     */
    public function getDbname(): string
    {
        return $this->dbname;
    }

    //</editor-fold>
}